| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | List of all members
GaudiPython::Interface< IInterface > Struct Template Reference

`#include <GaudiPython/Interface.h>`

Inheritance diagram for GaudiPython::Interface< IInterface >:
[legend]
Collaboration diagram for GaudiPython::Interface< IInterface >:
[legend]

## Public Types
typedef IInterface | TYPE

## Public Member Functions
TYPE * | operator() (const IInterface *in) const
| the only one important method More...

## Static Public Member Functions
static TYPE * | cast (const IInterface *in)
| the only one important method (static) More...
static TYPE * | cast (const InterfaceID &, const IInterface *in)
| the only one important method (static) More...

## Detailed Description

### template<>
struct GaudiPython::Interface< IInterface >

Definition at line 64 of file Interface.h.

## Member Typedef Documentation

typedef IInterface GaudiPython::Interface< IInterface >::TYPE

Definition at line 65 of file Interface.h.

## Member Function Documentation

static TYPE* GaudiPython::Interface< IInterface >::cast | ( | const IInterface< IInterface > * | in | ) |
| inline static

the only one important method (static)

Parameters

  in | input interface

Returns
  resutl of "cast"

Definition at line 76 of file Interface.h.

76 { return SmartIF<TYPE>( const_cast<IInterface*>( in ) ); }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277

static TYPE* GaudiPython::Interface< IInterface >::cast | ( | const InterfaceID & | ,
|  | const IInterface< IInterface > * | in
| ) |  |
| inline static

the only one important method (static)

Parameters

  iid | unique identifier of 'target' interface
  in | input interface

Returns
  resutl of "cast"

Definition at line 83 of file Interface.h.

84 {
85 return SmartIF<TYPE>( const_cast<IInterface*>( in ) );
86 }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277

TYPE* GaudiPython::Interface< IInterface >::operator() | ( | const IInterface< IInterface > * | in | ) | const
| inline

the only one important method

Parameters

  in | input interface

Returns
  resutl of "cast"

Definition at line 70 of file Interface.h.

70 { return SmartIF<TYPE>( const_cast<IInterface*>( in ) ); }
SmartIF
Small smart pointer class with automatic reference counting for IInterface.
Definition: IConverter.h:15
IInterface
Definition of the basic interface.
Definition: IInterface.h:277

The documentation for this struct was generated from the following file:

- GaudiPython/GaudiPython/Interface.h